Description: Fix for wrong paths in web app
 During the build process, the default paths need to be used for
 update-profiles.pl to succeed. After installation the custom paths
 are used instead.
Author: Uwe Steinmann <uwe@steinmann.cx>, Bas Couwenberg <sebastic@debian.org>
Forwarded: not-needed

--- a/web/www/routino/paths.pl
+++ b/web/www/routino/paths.pl
@@ -23,9 +23,11 @@
 
 # EDIT THIS to set the root directory for the non-web data files.
 $root_dir="../..";
+$root_dir="/var/lib/routino"	if(!$ENV{MODE} || $ENV{MODE} ne 'build');
 
 # EDIT THIS to change the location of the individual directories.
 $bin_dir="$root_dir/bin";
+$bin_dir="/usr/bin"		if(!$ENV{MODE} || $ENV{MODE} ne 'build');
 $data_dir="$root_dir/data";
 $results_dir="$root_dir/results";
 
--- a/web/Makefile
+++ b/web/Makefile
@@ -104,7 +104,7 @@ all-profiles: all-bin all-data
 	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.pl ] || \
 	     [ $(WEBDATADIR)/profiles.xml -nt $(WEBWWWDIR)/profiles.js ]; then \
 	    echo update-profiles.pl ;\
-	    ( cd $(WEBWWWDIR) ; perl update-profiles.pl ) ;\
+	    ( cd $(WEBWWWDIR) ; MODE=build perl update-profiles.pl ) ;\
 	 fi
 
 ####
@@ -137,15 +137,15 @@ endif
 
 $(WEBWWWDIR)/router.html.en: $(WEBTRANSDIR)/router.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
 	@echo translate.pl
-	@cd $(WEBTRANSDIR) && perl translate.pl
+	@cd $(WEBTRANSDIR) && MODE=build perl translate.pl
 
 $(WEBWWWDIR)/visualiser.html.en: $(WEBTRANSDIR)/visualiser.html $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
 	@echo translate.pl
-	@cd $(WEBTRANSDIR) && perl translate.pl
+	@cd $(WEBTRANSDIR) && MODE=build perl translate.pl
 
 $(XMLDIR)/routino-translations.xml: $(WEBTRANSDIR)/translations-head.xml $(WEBTRANSDIR)/translations-body.xml $(WEBTRANSDIR)/translations-tail.xml $(TRANS_FILES) $(WEBTRANSDIR)/translate.pl
 	@echo translate.pl
-	@cd $(WEBTRANSDIR) && perl translate.pl
+	@cd $(WEBTRANSDIR) && MODE=build perl translate.pl
 
 ####
 
@@ -153,7 +153,7 @@ all-icons: $(WEBICONDIR)/ball-0.png
 
 $(WEBICONDIR)/ball-0.png: $(WEBICONDIR)/create-icons.pl
 	@echo create-icons.pl
-	@cd $(WEBICONDIR) && perl create-icons.pl
+	@cd $(WEBICONDIR) && MODE=build perl create-icons.pl
 
 ####
 
